#include once "window9.bi"

Function ComboBoxImageGadget Alias "ComboBoxImageGadget" (ByVal gadget As Integer, ByVal x As Integer,ByVal y As Integer,ByVal Width_ As Integer,ByVal height_ As Integer,ByVal SizeIcon As Integer=16,ByVal par As Integer=CBS_DROPDOWNLIST Or WS_VSCROLL		) As HWND Export
  Dim As hImageList hImageList
  Var hhh= CreateWindowEx( 0, "ComboBoxEx32", "", WS_CHILD Or WS_VISIBLE  Or par , x, y,Width_,height_,Cast(HWND,GETGURRENTAL()), Cast(HMENU,gadget),0,0)
  ADDIN9999 (gadget,hhh)
  ColorAdd(hhh,16777215,0)
  COOLOOR(16777215,0)
  If GGF()<>0 Then
    SendMessage(Cast(hwnd,hhh),WM_SETFONT,GGF(),0)
  EndIf
  hImageList=  ImageList_Create(SizeIcon,SizeIcon,ILC_COLOR32,1,1)
  SetProp(hhh,"addparam60000",hImageList)
  SendMessage(Cast(hwnd,hhh), CBEM_SETIMAGELIST, 0,Cast(LPARAM, hImageList))
  Return hhh
End Function

Function GetHimageCombo_(ByVal gadget As integer) As Integer
  Return cast(integer,GetProp(GadgetID(gadget),"addparam60000"))
End Function

